// (C) 2017-2020 by folkert van heusden, released under AGPL v3.0
#pragma once
#include <string>
#include <vector>

#include "cfg.h"
#include "view_ss.h"
#include "source.h"
#include "target.h"

class view_all : public view_ss
{
private:
	const int grid_width{ 1 }, grid_height{ 1 };
	uint64_t *ts_list{ nullptr };
	uint8_t *work{ nullptr };

public:
	view_all(configuration_t *const cfg, const std::string & id, const std::string & descr, const int width, const int height, const int gwidth, const int gheight, resize *const r, const std::vector<view_src_t> & sources, const double switch_interval, std::vector<target *> *const targets, std::vector<filter *> *const filters);
	virtual ~view_all();

	std::string get_html(const std::map<std::string, std::string> & pars) const override;
	bool get_frame(const encoding_t pe, const int jpeg_quality, uint64_t *ts, int *width, int *height, uint8_t **frame, size_t *frame_len, const bool repeat) override;
};
